Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.event
Class ContentEvent

    java.lang.Object
      java.util.EventObject
          org.apache.slide.event.ResourceEvent
              org.apache.slide.event.ContentEvent

All Implemented Interfaces:
  RemoteInformation, java.io.Serializable

public class ContentEvent
extends ResourceEvent

Content event class

Version:
  $Revision: 1.4 $
See Also:
  Serialized Form

Nested Class Summary
`static class` | `ContentEvent.Create`
`static class` | `ContentEvent.Fork`
`static class` | `ContentEvent.Merge`
`static class` | `ContentEvent.Remove`
`static class` | `ContentEvent.Retrieve`
`static class` | `ContentEvent.Store`

Field Summary
`static ContentEvent.Create` | `CREATE`
`static ContentEvent.Fork` | `FORK`
`static java.lang.String` | `GROUP`
`static ContentEvent.Merge` | `MERGE`
`static AbstractEventMethod[]` | `methods`
`static ContentEvent.Remove` | `REMOVE`
`static ContentEvent.Retrieve` | `RETRIEVE`
`static ContentEvent.Store` | `STORE`

Fields inherited from class org.apache.slide.event.ResourceEvent
`URI_KEY`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ContentEvent(java.lang.Object source, SlideToken token, Namespace namespace, java.lang.String uri, NodeRevisionDescriptor revisionDescriptor)`
`ContentEvent(java.lang.Object source, SlideToken token, Namespace namespace, java.lang.String uri, NodeRevisionDescriptor revisionDescriptor, NodeRevisionContent revisionContent)`
`ContentEvent(java.lang.Object source, SlideToken token, Namespace namespace, java.lang.String uri, NodeRevisionDescriptors revisionDescriptors)`
`ContentEvent(java.lang.Object source, SlideToken token, Namespace namespace, java.lang.String uri, NodeRevisionDescriptors revisionDescriptors, NodeRevisionDescriptor revisionDescriptor)`
`ContentEvent(java.lang.Object source, SlideToken token, Namespace namespace, java.lang.String uri, NodeRevisionDescriptors revisionDescriptors, NodeRevisionDescriptor revisionDescriptor, NodeRevisionContent revisionContent)`

Method Summary
`static java.lang.String` | `getGroup()`
`static AbstractEventMethod[]` | `getMethods()`
`Namespace` | `getNamespace()`
`NodeRevisionContent` | `getRevisionContent()`
`NodeRevisionDescriptor` | `getRevisionDescriptor()`
`NodeRevisionDescriptors` | `getRevisionDescriptors()`
`SlideToken` | `getToken()`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.slide.event.ResourceEvent
`getInformation, getUri`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CREATE

    public static final ContentEvent.Create CREATE

### REMOVE

    public static final ContentEvent.Remove REMOVE

### RETRIEVE

    public static final ContentEvent.Retrieve RETRIEVE

### STORE

    public static final ContentEvent.Store STORE

### FORK

    public static final ContentEvent.Fork FORK

### MERGE

    public static final ContentEvent.Merge MERGE

### GROUP

    public static final java.lang.String GROUP

See Also:
  Constant Field Values

### methods

    public static final AbstractEventMethod[] methods

Constructor Detail

### ContentEvent

    public ContentEvent(java.lang.Object source,
                        SlideToken token,
                        Namespace namespace,
                        java.lang.String uri,
                        NodeRevisionDescriptors revisionDescriptors)

### ContentEvent

    public ContentEvent(java.lang.Object source,
                        SlideToken token,
                        Namespace namespace,
                        java.lang.String uri,
                        NodeRevisionDescriptors revisionDescriptors,
                        NodeRevisionDescriptor revisionDescriptor)

### ContentEvent

    public ContentEvent(java.lang.Object source,
                        SlideToken token,
                        Namespace namespace,
                        java.lang.String uri,
                        NodeRevisionDescriptor revisionDescriptor,
                        NodeRevisionContent revisionContent)

### ContentEvent

    public ContentEvent(java.lang.Object source,
                        SlideToken token,
                        Namespace namespace,
                        java.lang.String uri,
                        NodeRevisionDescriptor revisionDescriptor)

### ContentEvent

    public ContentEvent(java.lang.Object source,
                        SlideToken token,
                        Namespace namespace,
                        java.lang.String uri,
                        NodeRevisionDescriptors revisionDescriptors,
                        NodeRevisionDescriptor revisionDescriptor,
                        NodeRevisionContent revisionContent)

Method Detail

### getToken

    public SlideToken getToken()

### getRevisionDescriptors

    public NodeRevisionDescriptors getRevisionDescriptors()

### getRevisionDescriptor

    public NodeRevisionDescriptor getRevisionDescriptor()

### getRevisionContent

    public NodeRevisionContent getRevisionContent()

### getNamespace

    public Namespace getNamespace()

### toString

    public java.lang.String toString()

### getMethods

    public static AbstractEventMethod[] getMethods()

### getGroup

    public static java.lang.String getGroup()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD